function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i=1, 100 do
		local p = self.Emitter:Add("effects/fleck_cement"..math.random(1, 2), self.Start + Vector(math.Rand(-25, 25), math.Rand(-25, 25), 0))
		if p then
			p:SetVelocity(Vector(math.Rand(-250, 250), math.Rand(-250, 250), math.Rand(50, 250)))
			p:SetDieTime(math.Rand(2.5, 10))
			p:SetStartAlpha(255)
			p:SetEndAlpha(0)
			p:SetStartSize(math.Rand(2.5, 7.5))
			p:SetRoll(math.Rand(0, 70))
			p:SetRollDelta(math.Rand(-3, 3))
			p:SetAirResistance(100)
			p:SetGravity(Vector(0, 0, -500))
			p:SetColor(200, 200, 200)
			p:SetCollide(true)
		end
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end